<?php
class Login extends CI_Controller
{
	protected $_csstyle;
 
	public function __construct()
	{
		parent::__construct();
		
		$this->config->load('style', TRUE);
		
		$this->_csstyle = $this->config->item('style');
		$this->load->model("modelousuario","modelousuario");
		$this->load->model("modelo_configuracion","configuracion");
	}

	public function index()
	{
		 $data['csslogin']	= $this->_csstyle["csslogin"];
		 $data['estilo']	= $this->configuracion->obtenerEstilo();
		 $data['licencias']	= $this->configuracion->obtenerLicenciasFirestone(0,1);
		 
		 $this->load->view("login/cabezera",$data);
		 $this->load->view("login/login",$data);
		 $this->load->view("login/pie");
		
		 $mensajes		="3";
		 $this->session->set_userdata('mensajes',$mensajes);
	}
	
	public function loginAdmin()
	{
		$Data['csslogin']	= $this->_csstyle["csslogin"];
		
		$this->load->view("loginAdmin/cabezera",$Data);
		$this->load->view("loginAdmin/login");
		$this->load->view("loginAdmin/pie");
		
		$mensajes		= "3";
		
		$this->session->set_userdata('mensajes',$mensajes);
	}
	
	public function recuperarPassword()
	{
		$Data['csslogin']=$this->_csstyle["csslogin"];
		$this->load->view("login/cabezera",$Data);
		$this->load->view("login/recuperar");
		$this->load->view("login/pie");
	}
	
	public function confirmacion($pass,$user)
	{
		$Data['csslogin']=$this->_csstyle["csslogin"];
		
		$data['cambiar']=$this->modelousuario->obtenerPassword($pass,$user);
		
		$this->load->view("login/cabezera",$Data);
		$this->load->view("login/confirmar",$data);
		$this->load->view("login/pie");
	}
	
	public function confirmarPassword()
	{
		if(!empty($_POST))
		{
			$cambiar=$this->modelousuario->cambiarPassword();
			print($cambiar);
		}
	}

	public function acceso()
	{
		$usuario	= $this->input->post('username');
		$password	= $this->input->post('password');
		
		$licencia	= $this->modelousuario->obtenerUsuarioLoginSucursal($usuario,$password,$this->input->post('selectSucursal'));
		$anio		= date("Y");
		
		if($licencia!=null)
		{
			$this->session->set_userdata('id',$licencia->idUsuario);
			$this->session->set_userdata('idLicencia',$licencia->idLicencia);
			$this->session->set_userdata('sucursalActiva',sucursalActiva);
			$this->session->set_userdata('role',$licencia->idRol);
			$this->session->set_userdata('rol',$licencia->idRol);
			
			$this->session->set_userdata('matriz',$licencia->matriz);
			
			sleep(1);


			redirect(base_url()."principal/index/".$anio,"refresh");
		}
		else
		{
			$this->session->set_userdata('notificacionLogin','El usuario y/o contraseña son incorrectos');

			redirect('login/index','refresh');
		}
	}
	
	public function acceso1asd()
	{
		$Data['csslogin']	= $this->_csstyle["csslogin"];
		$Data['estilo']		= $this->configuracion->obtenerEstilo();
		
		
			$user = $this->input->post('username');
			$pass = $this->input->post('password');
			
			$redux = $this->redux_auth->login($user,$pass);
			$anio=date("Y");
		
			switch($redux)
			{
				case false: 
				/*$Data["ErrorDatos"]="Error en usuario/contrase&ntilde;a,<p>verifique de nuevo por favor.</p>";
				$this->load->view("login/cabezera",$Data);
				$this->load->view('login/login',$Data);
				$this->load->view("login/pie");*/
				
				redirect('login','refresh');
				
				break;
				case true:
				
				$this->session->set_userdata('idUsuarioAdmin','');
				$licencia	= $this->modelousuario->obtenerUsuarioLoginSucursal($user,$pass,$this->input->post('selectSucursal'));

				#exit;
				if($licencia!=null)
				{
					$this->session->set_userdata('id',$licencia->idUsuario);
					$this->session->set_userdata('idLicencia',$licencia->idLicencia);
					$this->session->set_userdata('sucursalActiva',sucursalActiva);
					$this->session->set_userdata('role',$licencia->idRol);
					$this->session->set_userdata('rol',$licencia->idRol);
					
					sleep(1);
				}
				else
				{
					redirect('login/logout','refresh');
				}
				
				
				
				redirect(base_url()."principal/index/".$anio,"refresh");
				
				switch($this->redux_auth->id_logged_in_role())
				{
					case 0: 	
						redirect(base_url()."principal/index/".$anio,"refresh");
					break;
					
					case 1: 
					redirect(base_url()."principal/index/".$anio,"refresh");
					break;
					
					case 2:
					
					break;
				}//Fin del switch
				
				break; //break==true
				
			}//fin del switch 
		
	}//Fin de acceso
 
//********* Salir del Sistema
	public function logout()
	{
		$this->session->set_userdata('idLicencia','');
		$this->session->set_userdata('id','');
		$this->redux_auth->logout();
		#$this->session->sess_destroy();
		
		redirect(base_url().'login','refresh');
		#redirect('https://redisoftsystems.com/nube/jenrab/','refresh');
	}
	
	public function licencias()
	{
		 $Data['csslogin']	=$this->_csstyle["csslogin"];
		 $Data['estilo']	=$this->configuracion->obtenerEstilo();
		 
		 $this->load->view("login/cabezera",$Data);
		 $this->load->view("login/login");
		 $this->load->view("login/pie");
		
		 $mensajes	="3";
		 $this->session->set_userdata('mensajes',$mensajes);
	}
	
}
?>
